Add a machine
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/equipment" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "category": "milling" }'{ "name": "string", "category": "milling", "manufacturer": null, "model": null, "serialNumber": null, "roomId": null, "commissionedOn": null, "status": "active", "maintenanceIntervalMonths": null, "calibrationIntervalMonths": null, "safetyCheckIntervalMonths": null, "notes": null, "id": "string", "maintenanceDueOn": "string", "calibrationDueOn": "string", "safetyCheckDueOn": "string"}{ "error": "string"}